Package org.apache.tools.ant.taskdefs.optional.net

# Class TelnetTask.TelnetWrite

java.lang.Object
org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetWrite

Enclosing class:
  `TelnetTask`

public class TelnetTask.TelnetWrite extends TelnetTask.TelnetSubTask
Sends text to the connected server

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask

  `taskString`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TelnetWrite()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(TelnetTask.AntTelnetClient telnet)`
  Execute the write task.
  `void`
  `setEcho(boolean b)`
  Whether or not the message should be echoed to the log.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask

  `addText, setString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TelnetWrite

    public TelnetWrite()

- ## Method Details

  - ### execute

    public void execute(TelnetTask.AntTelnetClient telnet) throws BuildException
    Execute the write task.
    Overrides:
      `execute` in class `TelnetTask.TelnetSubTask`
    Parameters:
      `telnet` - the task to use
    Throws:
      `BuildException` - on error

  - ### setEcho

    public void setEcho(boolean b)
    Whether or not the message should be echoed to the log. Defaults to `true`.
    Parameters:
      `b` - a `boolean` value